llvm.org GIT mirror llvm / 399c7c7
regenerate git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@46761 91177308-0d34-0410-b5e6-96231b3b80d8 Chris Lattner 11 years ago
1 changed file(s) with 50 addition(s) and 6 deletion(s). Raw diff Collapse all Expand all
22622262 llvm_cv_platform_type="Unix" ;;
22632263 *-*-darwin*)
22642264 llvm_cv_link_all_option="-Wl,-all_load"
2265 llvm_cv_link_all_option="-Wl,-noall_load"
2265 llvm_cv_no_link_all_option="-Wl,-noall_load"
22662266 llvm_cv_os_type="Darwin"
22672267 llvm_cv_platform_type="Unix" ;;
22682268 *-*-freebsd*)
2695226952
2695326953 if test "$GCC" = "yes"
2695426954 then
26955 gccmajor=`$CC --version | head -n 1 | sed 's/[^0-9]*\([0-9.]\).*/\1/'`
26956 if test "$gccmajor" -lt "3"
26957 then
26958 { { echo "$as_me:$LINENO: error: gcc 3.x required, but you have a lower version" >&5
26955 cat >conftest.$ac_ext <<_ACEOF
26956 #if !defined(__GNUC__) || __GNUC__ < 3
26957 #error Unsupported GCC version
26958 #endif
26959
26960 _ACEOF
26961 rm -f conftest.$ac_objext
26962 if { (ac_try="$ac_compile"
26963 case "(($ac_try" in
26964 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
26965 *) ac_try_echo=$ac_try;;
26966 esac
26967 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
26968 (eval "$ac_compile") 2>conftest.er1
26969 ac_status=$?
26970 grep -v '^ *+' conftest.er1 >conftest.err
26971 rm -f conftest.er1
26972 cat conftest.err >&5
26973 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26974 (exit $ac_status); } &&
26975 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
26976 { (case "(($ac_try" in
26977 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
26978 *) ac_try_echo=$ac_try;;
26979 esac
26980 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
26981 (eval "$ac_try") 2>&5
26982 ac_status=$?
26983 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26984 (exit $ac_status); }; } &&
26985 { ac_try='test -s conftest.$ac_objext'
26986 { (case "(($ac_try" in
26987 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
26988 *) ac_try_echo=$ac_try;;
26989 esac
26990 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
26991 (eval "$ac_try") 2>&5
26992 ac_status=$?
26993 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26994 (exit $ac_status); }; }; then
26995 :
26996 else
26997 echo "$as_me: failed program was:" >&5
26998 sed 's/^/| /' conftest.$ac_ext >&5
26999
27000 { { echo "$as_me:$LINENO: error: gcc 3.x required, but you have a lower version" >&5
2695927001 echo "$as_me: error: gcc 3.x required, but you have a lower version" >&2;}
2696027002 { (exit 1); exit 1; }; }
26961 fi
27003 fi
27004
27005 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
2696227006 fi
2696327007
2696427008 if test -z "$llvm_cv_gnu_make_command"